# Register a data.frame or list in Radiant

Source: `R/radiant.R`
`register.Rd`

Register a data.frame or list in Radiant

    register(
      new,
      org = "",
      descr = "",
      shiny = shiny::getDefaultReactiveDomain(),
      envir = r_data
    )

## Arguments

new

  String containing the name of the data.frame to register

org

  Name of the original data.frame if a (working) copy is being made

descr

  Data description in markdown format

shiny

  Check if function is called from a shiny application

envir

  Environment to assign data to

## See also

See also `add_description` to add a description in markdown format to a data.frame